﻿using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;

namespace WGneu.Models {
    [Table("area_commitment"), PrimaryKey("Vnr", "KgNr", "GstNr")]
    public class AreaCommit {
        [Column("vnr")]
        public int Vnr { get; set; }

        [Column("kgnr")]
        public int KgNr { get; set; }

        [Column("gstnr")]
        public string? GstNr { get; set; }

        [Column("rdnr")]
        public int RdNr { get; set; }

        [Column("area")]
        public int Area { get; set; }

        [Column("sortid")]
        public string SortId { get; set; }

        [Column("attrid")]
        public string? AttrId { get; set; }

        [Column("cultid")]
        public string CultId { get; set; }

        [ForeignKey("Vnr")]
        public virtual Contract Contract { get; set; }

        [ForeignKey("SortId")]
        public virtual WineVar WineVar { get; set; }

        [ForeignKey("AttrId")]
        public virtual WineAttr WineAttr { get; set; }

        [ForeignKey("CultId")]
        public virtual WineCult WineCult { get; set; }

        [ForeignKey("KgNr, RdNr")]
        public virtual WbRd WbRd { get; set; }
    }
}
